Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.filechooser
Class FileFilter

    java.lang.Object
      |
      +--javax.swing.filechooser.FileFilter

Direct Known Subclasses:
  BasicFileChooserUI.AcceptAllFileFilter

public abstract class FileFilter
extends java.lang.Object

FileFilter is an abstract class that has no default implemention. A FileFilter, once implemented, can be set on a JFileChooser to keep unwanted files from appearing in the directory listing. A default implementation (ExtensionFileFilter) is currently in the FileChooserDemo directory, and will become a first class swing implementation in Swing 1.0.3. For an example implementation of a simple file filter, see `yourJDK/demo/jfc/FileChooserDemo/ExampleFileFilter.java`. For more information, see the Swing Connection article on the File Chooser

See Also:
  `JFileChooser.setFileFilter(javax.swing.filechooser.FileFilter)`, `JFileChooser.addChoosableFileFilter(javax.swing.filechooser.FileFilter)`

Constructor Summary
`FileFilter()`

Method Summary
`abstract boolean` | `accept(java.io.File f)` Whether the given file is accepted by this filter.
`abstract java.lang.String` | `getDescription()` The description of this filter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileFilter

    public FileFilter()

Method Detail

### accept

    public abstract boolean accept(java.io.File f)

  Whether the given file is accepted by this filter.

### getDescription

    public abstract java.lang.String getDescription()

  The description of this filter. For example: "JPG and GIF Images"
  See Also:
    `FileView.getName(java.io.File)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.